Ortspunkt_ost=load('-ascii','Ost.TXT');
Ortspunkt_nord=load('-ascii','Nord.TXT');
Ortspunkt_name=[{'Wasserturm','Obere Ziegeluette','Bruecke ue B27','Abzwg R Hausen','Abzwg W-Runde','Abzwg n Hausen','Hausen Horg. Str','L423 Schule','Bruecke L423 B27','RW Gewerbeschule','RW Lidl','RW KSK','RW Bahnhof','RW Saline','Haltst. Saline','Goellsdorf','Buehlingen','Neufra','Frittlingen','Wellendingen','Feckenhausen','Wilflingen','Zepfenhan Flugfeld','Schoerzingen','Weilen u d Rinnen','Deilingen','Lemberg','Gosheim','Denkingen','Klippeneck','Neuhaus','Aldingen','Spaichingen','Rietheim','Weilheim','Wurmlingen','Tuttlingen Bhf','Moehringen','Immendingen','Engen','Singen Bhf','Hohentwiel','Radolfzell Bhf','Allensbach Bhf','KN Petershausen','Konstanz Bhf','Konstanz FH','St. Gallen Bhf','Laufen','Deilingen','Schwenningen Bhf','Niedereschach','Horgen','Floezlingen','Stetten','Lackendorf','Villingendorf','Dunningen','Boesingen','Herrenzimmern','Dietingen','Weiler','Mariazell','Sinkingen','Koenigsfeld','Neuhausen','Hardt','Sulgen','Epfendorf','RW Krankenhaus','RW Hochturm','RW Berner Feld','Zimmern Flozbr','Zimmern o. R.','Neckarburg','A81 Rottweil','A81 <-> B27','Trossingen','Heuberg','Weigheim','A81 Tuningen','Tuningen','Sunthausen','A81 <-> A864','Oberbaldingen','Unterbaldingen','Bad Duerrheim','Donaueschingen','Hochemmingen','Geisingen','Bargen','A81 Engen ','Ehingen','A81 <-> A98','A81 <-> B33','Beuren a.d.A.','Friedingen','Boehringen (KN)','Markelfingen','Hegne (KN)','Reichenau','KN Wollmatingen','KN Fuerstenberg','CH/ D Schiene','CH/ D Strasse','KN Augustinerpl','KN Muenster','KN Seebruecke','Emmingen','TUT WHSteige','TUT Lohhof','Emm. Lazerhof','Wasserburgerhof','K6178 unten!','K6178 <-> B31','K6178-Ehingen','Muehlhausen','Singen LdGaS','Si Worbl Str','Si ueberlinger Str','Moos','Boettingen','Koenigsheim','Renquishausen','Baerenthal','Fridingen a D','Nendingen','Muehlheim','Seedorf'}];
%size(Ortspunkt_ost)
%size(Ortspunkt_nord)
%size(Ortspunkt_name)
laenge=length(Ortspunkt_name);
Daten=load('-ascii','Test.TXT')
%Daten=load('-ascii','C:\Normale Runde.TXT')
%Daten=load('-ascii','C:\Dreiviertel Runde.TXT')
norden=Daten(:,2);
osten=Daten(:,3);
hoehe=Daten(:,4);

zahler=1; 

while zahler<=length(osten)
if hoehe(zahler)==0
if zahler>=2 && zahler<length(osten)
if hoehe(zahler+1) ==0
hoehe(zahler)=hoehe(zahler-1);
else
hoehe(zahler)=(hoehe(zahler+1)+hoehe(zahler-1))/2;
end
end

if zahler==1
hoehe(zahler)=hoehe(zahler+1);
end

if zahler==length(osten)
hoehe(zahler)=hoehe(zahler-1);
end

end
zahler=zahler+1;
end

figure(1)


schrittweite_n=(max(norden)-min(norden))/100
schrittweite_o=(max(osten)-min(osten))/100
ti_o = min(osten):schrittweite_o:max(osten);
ti_n = min(norden):schrittweite_n:max(norden);
[XI,YI] = meshgrid(ti_o,ti_n);
ZI = griddata(osten,norden,hoehe,XI,YI,'linear');
mesh(XI,YI,ZI)
hold on
hoehe2=meshgrid(hoehe);
osten2=meshgrid(osten);
norden2=meshgrid(norden);
meshz(osten2,norden2,hoehe2)
plot3(osten,norden,hoehe,'LineWidth',5,'MarkerEdgeColor','k','MarkerFaceColor','g','MarkerSize',5);
axis([min(osten)-0.001 max(osten)+0.001 min(norden)-0.001 max(norden)+0.001 min(hoehe) max(hoehe)])
xlabel('Osten')
ylabel('Norden')
zlabel('Hoehe')
title('Veranschaulichung in 3D')
hoehe2=ones(laenge);
hoehe2=hoehe2(:,1)*max(min(hoehe));
plot3(Ortspunkt_ost,Ortspunkt_nord,hoehe2,'r+')
text(Ortspunkt_ost,Ortspunkt_nord,hoehe2,Ortspunkt_name,'VerticalAlignment','bottom','HorizontalAlignment','right','FontSize',8)
hold off

figure(2)
plot(osten,norden,'--rs','LineWidth',2,'MarkerEdgeColor','k','MarkerFaceColor','g','MarkerSize',5)
axis([min(osten)-0.001 max(osten)+0.001 min(norden)-0.001 max(norden)+0.001])
hold on
xlabel('Osten')
ylabel('Norden')
title('Veranschaulichung des Weges')
plot(Ortspunkt_ost,Ortspunkt_nord,'r+','LineWidth',2,'MarkerEdgeColor','k','MarkerFaceColor','g','MarkerSize',10)
text(Ortspunkt_ost,Ortspunkt_nord,Ortspunkt_name,'VerticalAlignment','bottom','HorizontalAlignment','right','FontSize',12)
hold off